Subject: bug#11626: 24.1.50; void-variable custom-print-functions

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Jun 2012 18:32:17 +0300

> From: Andreas Schwab <[email-masked]>
> Date: Tue, 05 Jun 2012 10:27:17 +0200
> Cc: Ivan Kanis <[email-masked]>, [email-masked]
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > Also, what's the relationship between this and custom-print-functions?
> 
> Any code using defstruct with either :print-function or :type or
> :include that is compiled with 24.2 or later is incompatible with 24.1
> or earlier, and vice-versa.

If that change creates an incompatibility between 2 minor versions,
I'd say the cure is worse than the disease.

Could we perhaps keep the original cl in obsolete, to avoid such
breakage?  (Apologies if I'm not making sense: I don't really
understand the underlying issue.)